---
lang: en
title: 'API docs: repository.defaultcrudrepository.normalizefilter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.normalizefilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [normalizeFilter](./repository.defaultcrudrepository.normalizefilter.md)

## DefaultCrudRepository.normalizeFilter() method

Removes juggler's "include" filter as it does not apply to LoopBack 4 relations.

<b>Signature:</b>

```typescript
protected normalizeFilter(filter?: Filter<T>): legacy.Filter | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filter | <code>Filter&lt;T&gt;</code> | Query filter |

<b>Returns:</b>

`legacy.Filter | undefined`


